Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5728 - rpm uninstalls packages in the wrong order
Summary: rpm uninstalls packages in the wrong order
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-08 14:13 UTC by Emmes, Fabian
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-04-03 12:22:10 UTC


Attachments (Terms of Use)

Description Emmes, Fabian 1999-10-08 14:13:53 UTC
example:

package1 contains
/directory/

package2 contains
/directory/file
and requires package1

# rpm -e package1 package2
cannot remove /directory - directory not empty
#

while
# rpm -e package2 package1
#

Comment 1 Jeff Johnson 2000-08-07 13:46:51 UTC
This problem will be addressed after rpm-4.0 is released.

Comment 2 Jeff Johnson 2001-05-22 18:14:01 UTC
rpm-4.0.3 erases packages in reverse order, reverses file lists as well, to
preserve
time reversal symmetry.


Note You need to log in before you can comment on or make changes to this bug.